summaryrefslogtreecommitdiff
path: root/bin/src-unregister
diff options
context:
space:
mode:
Diffstat (limited to 'bin/src-unregister')
-rwxr-xr-xbin/src-unregister4
1 files changed, 4 insertions, 0 deletions
diff --git a/bin/src-unregister b/bin/src-unregister
index 99ed4b00..356c1f21 100755
--- a/bin/src-unregister
+++ b/bin/src-unregister
@@ -33,6 +33,10 @@ foreach my $repo ( @ARGV ) {
{
local $CWD = $repo;
system "mr register";
+ my $exit = $? >> 8;
+ if ($exit != 0) {
+ die;
+ }
}
(my $output, undef) = tee_stdout { system "mr -m -d $repo status" };
my $confirm = 1;